Skip to main content
GET
Get an external entity by wallet ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

walletId
string
required

The wallet ID of the external entity.

Response

200 - application/json

Successfully retrieved an external entity.

An external entity

walletId
string

Unique system-generated identifier for the wallet of the institutional entity.

Example:

"212000"

businessName
string

The name of the business.

Example:

"Circle Internet Financial Inc."

businessUniqueIdentifier
string

The unique identifier of the business. For example, a company number or tax ID.

Example:

"1234567890"

identifierIssuingCountryCode
string

The country code of the issuing authority. Formatted as a two-letter country code specified in ISO 3166-1 alpha-2.

Pattern: ^[A-Z]{2}$
Example:

"US"

complianceState
enum<string>

The compliance status of the external entity.

Available options:
PENDING,
ACCEPTED,
REJECTED